aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2011-08-10 21:36:48 -0400
committerRuss Cox <rsc@golang.org>2011-08-10 21:36:48 -0400
commitc02423902d72b44a87157d2a04640e350334e174 (patch)
treec3b6a58d5bcb3f513bbff3f4ea045f70289587d5 /src/run.bash
parent39fa2a5bf2bbc484d00fc6fc943b16315eb039b6 (diff)
downloadgo-c02423902d72b44a87157d2a04640e350334e174.tar.xz
build: allow builds without cgo
R=bradfitz, dsymonds, fshahriar CC=golang-dev https://golang.org/cl/4859043
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/run.bash b/src/run.bash
index ae79a0cec3..a9689bf15e 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -49,20 +49,20 @@ GOMAXPROCS=10 gomake testshort
time gomake test
) || exit $?
-[ "$GOARCH" == arm ] ||
+[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
(xcd ../misc/cgo/stdio
gomake clean
./test.bash
) || exit $?
-[ "$GOARCH" == arm ] ||
+[ "$CGO_ENABLED" != 1 ] ||
(xcd ../misc/cgo/life
gomake clean
./test.bash
) || exit $?
-[ "$GOARCH" == arm ] ||
+[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
(xcd ../misc/cgo/test
gomake clean